package org.gcube.portlets.user.geoportaldataviewer.client.ui;

import com.github.gwtbootstrap.client.ui.Tab;
import com.google.gwt.core.client.GWT;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.HTMLPanel;
import com.google.gwt.user.client.ui.Widget;

public class GeonaDataViewMainPanel extends Composite {

	private static GeonaDataViewMainPanelUiBinder uiBinder = GWT.create(GeonaDataViewMainPanelUiBinder.class);

	interface GeonaDataViewMainPanelUiBinder extends UiBinder<Widget, GeonaDataViewMainPanel> {
	}

	@UiField
	Tab mapPanel;
	
	private HTMLPanel htmlPanel;
	
	public GeonaDataViewMainPanel() {
		initWidget(uiBinder.createAndBindUi(this));
		htmlPanel = new HTMLPanel("");
		htmlPanel.getElement().setId("map");
		htmlPanel.setHeight("600px");
		mapPanel.add(htmlPanel);
	}

	public HTMLPanel getMapPanel() {
		return htmlPanel;
	}

}
